PHP 8

En avant vers PHP 8

Evolution de version PHP et dépendance avec WordPress

PHP 7.3 est arrivé en fin de vie le 6 Décembre 2021 (EOL : End Of Life)
Php 7.4 prendra fin en Novembre 2022

Ensuite il faudra passer à PHP 8.0 minimum

Il reste donc moins d’un an pour faire un nouveau grand saut de version.
Php 8 par rapport au 7 va poser principalement des problèmes sur les programmes exploitant les tableaux (array), mais de sérieux problèmes qui pourront planter votre site web ou votre application.

Pourquoi donc ?
Certaines erreurs classées comme mineures sous PHP 7 vont passer au statut d’erreur « Fatale », ce qui va stopper l’exécution de votre page. Et c’est non négociable, il faudra corriger le code.
La dernière version de WordPress est déjà compatible PHP 8.
Mais des problèmes peuvent survenir avec les plugins

Conclusion : ne pas attendre Novembre 2022 pour changer de version et ne pas se retrouver au pied du mur, avec par exemple un plugin qui ne suit pas les mises à jour de PHP.

Retour haut de page